Help Getting JSP Validate to Work

When I right-click, compile a JSP file, it runs the Jasper step and then
runs the compile, but the compiles all fail with an error (sorry for the
line wraps):

Error: line (164) An error occurred at line: 164 in the jsp file:
/jsp/hearing.jsp

Generated servlet error:

F:\Software\intellij\bin\..\system\jasper_temp1a5e8d45\hearing$jsp.java:266:
Method include(javax.servlet.http.HttpServletRequest,
javax.servlet.http.HttpServletResponse,
java.lang.String, javax.servlet.jsp.JspWriter, boolean)
not found in class org.apache.jasper.runtime.JspRuntimeLibrary.
JspRuntimeLibrary.include(request, response,
^
"CaseHeaderInclude.jsp" + jspxqStr,
out, false);

Have I got something missing from my classpath, or the wrong version of a
jar or something?

Any help greatly appreciated,
Paul

2 comments
Comment actions Permalink

Hi Paul,

what IDEA build are you using?

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"


"Paul Hodgetts" <phodgetts@agilelogic.com> wrote in message
news:456mqus3v50469sntukojj8tsmucrcfhgh@4ax.com...

When I right-click, compile a JSP file, it runs the Jasper step and then
runs the compile, but the compiles all fail with an error (sorry for the
line wraps):

>

Error: line (164) An error occurred at line: 164 in the jsp file:
/jsp/hearing.jsp

>

Generated servlet error:

>
>
F:\Software\intellij\bin\..\system\jasper_temp1a5e8d45\hearing$jsp.java:266:

Method include(javax.servlet.http.HttpServletRequest,
javax.servlet.http.HttpServletResponse,
java.lang.String, javax.servlet.jsp.JspWriter, boolean)
not found in class org.apache.jasper.runtime.JspRuntimeLibrary.
JspRuntimeLibrary.include(request, response,
^
"CaseHeaderInclude.jsp" + jspxqStr,
out, false);

>

Have I got something missing from my classpath, or the wrong version of a
jar or something?

>

Any help greatly appreciated,
Paul

>


0
Comment actions Permalink

"Eugene Zhuravlev" <jeka@intellij.com> wrote:

Hi Paul,

what IDEA build are you using?


Sorry. Build 660, although it also didn't work under 557 as well.

Thanks,
Paul

0

Please sign in to leave a comment.